Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Authorization header containing the JWT access token returned from the generate token endpoint. The token already includes the Bearer prefix. Example: Authorization: Bearer eyJhbGciOi...

Body

application/json
customerName
string
required

Name of the customer

customerEmail
string

Email address of the customer (required if customerPhone is not provided)

customerPhone
string

Phone number of the customer (required if customerEmail is not provided), starting with country code and without the plus sign, e.g., 255712345678

billDescription
string

Description of the bill

Example:

"Water Bill - July 2024"

billPaymentMode
enum<string>
default:ALLOW_PARTIAL_AND_OVER_PAYMENT

Payment mode for the bill. Applied when billAmount is set, or when billMaxCollectionAmount is set (forced to ALLOW_PARTIAL_AND_OVER_PAYMENT)

Available options:
ALLOW_PARTIAL_AND_OVER_PAYMENT,
EXACT
billAmount
number

Target/expected bill payment amount

Example:

90900

billMaxCollectionAmount
number

Maximum total amount this control number can collect. Closes when the limit is reached. Only with ALLOW_PARTIAL_AND_OVER_PAYMENT. If billAmount is also set, this must be at least billAmount.

Example:

150000

billReference
string

Custom bill reference (alphanumeric). You can use your own references that already exist in your system (e.g. invoice or order IDs). If provided, this will be the number used to make payment. If not provided, the system auto-generates one

Response

Successfully generated Customer BillPay Control Number

billPayNumber
string

BillPay number - This is the number that will be used to make payment. If a custom billReference was provided in the request, this will match that value.

Example:

"55042914871931"